import { VehicleType } from '@bringg/types';
import { DataOptions } from '../../data-entity';
import Session from '../../Services/Identity/Session';
export default class VehicleTypesApi {
    private readonly vehicleTypesStore;
    private readonly vehicleTypesService;
    private readonly storableDataService;
    constructor(session: Session);
    load(id: number, options?: DataOptions): Promise<VehicleType>;
    loadAll(options?: DataOptions): Promise<VehicleType[]>;
    delete(id: number): Promise<VehicleType>;
    update(id: number, vehicleData: Partial<VehicleType>): Promise<VehicleType>;
    create(vehicleData: Partial<VehicleType>): Promise<VehicleType>;
    get(id: number): VehicleType;
    getAll(): VehicleType[];
}
